%define oname   diff-lcs

Name:       ruby-%{oname}
Version:    1.1.2
Release:    %mkrel 5
Summary:    Provides a list of changes
Group:      Development/Ruby
License:    GPLv2+
URL:        http://rubyforge.org/projects/ruwiki/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     diff-lcs-1.1.2-fix-rakefile.patch
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(archive-tar-minitar)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Diff::LCS is a port of Algorithm::Diff that uses the McIlroy-Hunt longest
common subsequence (LCS) algorithm to compute intelligent differences
between two sequenced enumerable containers. The implementation is based on
Mario I. Wolczko's Smalltalk version (1.2, 1993) and Ned Konz's Perl version
(Algorithm::Diff).

%files
%defattr(-, root, root, -)
%{_bindir}/ldiff
%{_bindir}/htmldiff
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ChangeLog
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Install
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

# Fix Wrong interpreter
sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/diff/{lcs/*.rb,lcs.rb}

%check
cp %{buildroot}%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec %{oname}.gemspec
rake test

%clean
rm -rf %{buildroot}



%changelog
* Fri Feb 04 2011 shikamaru <shikamaru> 1.1.2-5.mga1
+ Revision: 46956
- Add check section
- add patch to fix Rakefile
- add buildrequires
- bump release

* Wed Jan 26 2011 shikamaru <shikamaru> 1.1.2-4.mga1
+ Revision: 39675
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 1.1.2-3.mga1
+ Revision: 35510
- imported package ruby-diff-lcs


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.1.2-3mdv2011.0
- Initial package

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.2-2mdv2011.0
+ Revision: 614726
- the mass rebuild of 2010.1 packages

* Mon Feb 01 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.2-1mdv2010.1
+ Revision: 499305
- import ruby-diff-lcs


* Mon Feb  1 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.2-1
- initial release
